Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## emn.fr.ascola.view
Class PrefuseViewer.LongRadialTreeLayout

    java.lang.Object
      prefuse.activity.Activity
          prefuse.action.Action
              prefuse.action.GroupAction
                  prefuse.action.layout.Layout
                      prefuse.action.layout.graph.TreeLayout
                          prefuse.action.layout.graph.RadialTreeLayout
                              emn.fr.ascola.view.PrefuseViewer.LongRadialTreeLayout

Enclosing class:
  PrefuseViewer

    public class PrefuseViewer.LongRadialTreeLayout

extends prefuse.action.layout.graph.RadialTreeLayout

Long fixe length for radial.

Author:
  jroyer

Nested Class Summary

Nested classes/interfaces inherited from class prefuse.action.layout.graph.RadialTreeLayout
`prefuse.action.layout.graph.RadialTreeLayout.Params`

Field Summary

Fields inherited from class prefuse.action.layout.graph.RadialTreeLayout
`DEFAULT_RADIUS, PARAMS, PARAMS_SCHEMA`

Fields inherited from class prefuse.activity.Activity
`DEFAULT_STEP_TIME, INFINITY`

Constructor Summary
`PrefuseViewer.LongRadialTreeLayout(java.lang.String group)`

Method Summary

Methods inherited from class prefuse.action.layout.graph.RadialTreeLayout
`getAutoScale, getRadiusIncrement, run, setAngularBounds, setAutoScale, setRadiusIncrement`

Methods inherited from class prefuse.action.layout.graph.TreeLayout
`getLayoutRoot, setLayoutRoot`

Methods inherited from class prefuse.action.layout.Layout
`getLayoutAnchor, getLayoutBounds, setLayoutAnchor, setLayoutBounds, setMargin, setX, setY`

Methods inherited from class prefuse.action.GroupAction
`getGroup, setGroup`

Methods inherited from class prefuse.action.Action
`getVisualization, setVisualization`

Methods inherited from class prefuse.activity.Activity
`addActivityListener, alwaysRunAfter, cancel, getDuration, getNextTime, getPace, getPacingFunction, getStartTime, getStepTime, getStopTime, isEnabled, isRunning, isScheduled, removeActivityListener, run, runAfter, runAt, setDuration, setEnabled, setPacingFunction, setStartTime, setStepTime`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrefuseViewer.LongRadialTreeLayout

    public PrefuseViewer.LongRadialTreeLayout(java.lang.String group)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD